Subject: Re: bug#50571: 28.0.50; Redisplay segfaults with empty face cache

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Sep 2021 16:16:41 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 14 Sep 2021 20:45:18 +0100
> 
> >> Thanks, I see the reason now.  It's because we allow to have arbitrary
> >> Lisp to be registered in jit-lock-functions, and then that arbitrary
> >> Lisp is called in the middle of redisplay, and in this case creates a
> >> whole new frame with faces.  As luck would have it, we decide right
> >> there and then perform routine maintenance and release all the faces
> >> on all the frames...
> >> 
> >> I'm thinking about the best solution for this.
> >
> > Does the patch below give good results?
> 
> Yes, applying it makes the issue go away, and reverting it reintroduces
> the segfault.  I didn't notice any other issues.  Thanks!

Thanks, I've now installed these changes, and I'm therefore closing
the bug.